#!/usr/bin/python
# coding:utf-8

# nalozimo knjiznice
import lxml.html

# naslov, kjer se nahaja program festivala
root = 'http://www.liffe.si/program/abc-seznam/'

# preberimo spletno stran
h = lxml.html.parse(root).getroot()
h.make_links_absolute(root)

# zanimajo nas zapisi v tabeli filmov
# s spodnjim ukazom poiščemo vrstice (tr) znotraj tabele (table),
# ki se nahaja znotraj obrazca (form), katerega atribut "id" je "pluginAppForm"
trs = h.xpath('//form[@id="pluginAppForm"]//table/tr')

# seznam za shranjevanje zapisov
filmi = []

# sprehodimo se po vseh vrsticah
for tr in trs:
	# znotraj vrstice tr izberemo polja (td)
	tds = tr.xpath('.//td')
	
	# iz vsakega polja poberemo besedilo (text())
	teksti = []
	for c in tds:
		teksti = teksti + c.xpath('.//text()')
	
	# ker so v nekaterih vrsticah črte med črkami abecede,
	# je potrebno te odstraniti
	if len(teksti) != 6:
		continue
	
	# locimo drzavo in leto v dve polji
	drzava_leto = teksti[2].rsplit(', ', 1)
	
	# vkomponiramo novi polji
	teksti = teksti[:2] + drzava_leto + teksti[3:]
	
	# izpisimo informacije, ki jih imamo sedaj
	print teksti
	
	# dodajmo informacije o filmu v seznam filmov
	filmi.append(teksti)

# nalozimo modul csv
import csv

# odprimo novo datoteko liffe22.csv, v katero bomo podatke shranili
wr = csv.writer(open('liffe22.csv','w'))

# vpisimo naslove stolpcev
wr.writerow(['Naslov', 'Originalni naslov', 'Drzava', 'Leto', 'Rezija', 'Jezik', 'Kategorija'])

# vsak film vpisemo v datoteko
for f in filmi:
	polja = []
	for p in f:
		polja.append(p.encode('utf-8'))
	wr.writerow(polja)
